Favorite a Timeline or Timeline template

Base URL
https://{kibana_url}
  • PATCH /api/timeline/_favorite
  • PATCH /s/{space_id}/api/timeline/_favorite
Auth

Favorite a Timeline or Timeline template for the current user.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

The required fields used to favorite a (template) Timeline.

templateTimelineId string required nullable
templateTimelineVersion number required nullable
timelineId string required nullable
timelineType enum required

The type of Timeline.

Values: default template

Responses

Indicates the favorite status was successfully updated.

application/json
data object required
persistFavorite object required
code number nullable
favorite object[]
favoriteDate number nullable
fullName string nullable
userName string nullable
message string nullable
savedObjectId string required
templateTimelineId string nullable
templateTimelineVersion number nullable
timelineType enum

The type of Timeline.

Values: default template
version string required

Indicates the user does not have the required permissions to persist the favorite status.

application/json
body string
statusCode number
Base URL
https://{kibana_url}